ES_optype.h File Reference
`#include "system_dep.h"`
`#include <string>`

Go to the source code of this file.

## Namespaces

| escript

## Enumerations

enum

escript::ES_optype {
escript::UNKNOWNOP =0 , escript::IDENTITY =1 , escript::ADD =2 , escript::SUB =3 ,
escript::MUL =4 , escript::DIV =5 , escript::POW =6 , escript::SIN =POW+1 ,
escript::COS =SIN+1 , escript::TAN =SIN+2 , escript::ASIN =SIN+3 , escript::ACOS =SIN+4 ,
escript::ATAN =SIN+5 , escript::SINH =SIN+6 , escript::COSH =SIN+7 , escript::TANH =SIN+8 ,
escript::ERF =SIN+9 , escript::ASINH =SIN+10 , escript::ACOSH =SIN+11 , escript::ATANH =SIN+12 ,
escript::LOG10 =ATANH+1 , escript::LOG =LOG10+1 , escript::SIGN =LOG10+2 , escript::ABS =LOG10+3 ,
escript::NEG =LOG10+4 , escript::POS =LOG10+5 , escript::EXP =LOG10+6 , escript::SQRT =LOG10+7 ,
escript::RECIP =LOG10+8 , escript::GZ =RECIP+1 , escript::LZ =GZ+1 , escript::GEZ =GZ+2 ,
escript::LEZ =GZ+3 , escript::NEZ =GZ+4 , escript::EZ =GZ+5 , escript::SYM =EZ+1 ,
escript::NSYM =SYM+1 , escript::PROD =NSYM+1 , escript::TRANS =PROD+1 , escript::TRACE =TRANS+1 ,
escript::SWAP =TRACE+1 , escript::MINVAL =SWAP+1 , escript::MAXVAL =MINVAL+1 , escript::CONDEVAL =MAXVAL+1 ,
escript::HER =CONDEVAL+1 , escript::NHER =HER+1 , escript::REAL =NHER+1 , escript::IMAG =REAL+1 ,
escript::CONJ =IMAG+1 , escript::LESS =CONJ+1 , escript::GREATER =LESS+1 , escript::GREATER_EQUAL =GREATER+1 ,
escript::LESS_EQUAL =GREATER_EQUAL+1 , escript::PHS =LESS_EQUAL+1 , escript::PROM =PHS+1
}

enum | escript::ES_opgroup { escript::G_UNKNOWN , escript::G_IDENTITY , escript::G_BINARY , escript::G_UNARY , escript::G_UNARY_P , escript::G_UNARY_R , escript::G_NP1OUT , escript::G_NP1OUT_P , escript::G_TENSORPROD , escript::G_NP1OUT_2P , escript::G_REDUCTION , escript::G_CONDEVAL , escript::G_UNARY_C , escript::G_UNARY_PR }

## Functions

const std::string & | escript::opToString (ES_optype op)
ES_opgroup | escript::getOpgroup (ES_optype op)
const std::string & | escript::groupToString (ES_opgroup g)